KTimeWidget Class Reference

`#include <ktimewidget.h>`

Inherits QWidget.

## Public Slots

void | setTime (const QTime &time)

## Signals

void | valueChanged (const QTime &time)

## Public Member Functions

| KTimeWidget (QWidget *parent=0, const char *name=0)
| KTimeWidget (const QTime &time, QWidget *parent=0, const char *name=0)
virtual | ~KTimeWidget ()
QTime | time () const

## Properties

QTime | time

## Detailed Description

A time selection widget.

This widget can be used to display or allow user selection of time.

KDE Time Widget

Author
  Hans Petter Bieker bieke.nosp@m.r@kd.nosp@m.e.org

Since
  3.2

Definition at line 37 of file ktimewidget.h.

## Constructor & Destructor Documentation

KTimeWidget::KTimeWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a time selection widget.

Definition at line 15 of file ktimewidget.cpp.

KTimeWidget::KTimeWidget | ( | const QTime & | time,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a time selection widget with the initial time set to `time`.

Definition at line 21 of file ktimewidget.cpp.

KTimeWidget::~KTimeWidget | ( |  | ) |

virtual

Destructs the time selection widget.

Definition at line 30 of file ktimewidget.cpp.

## Member Function Documentation

void KTimeWidget::setTime | ( | const QTime & | time | ) |

slot

Changes the selected time to `time`.

Definition at line 48 of file ktimewidget.cpp.

QTime KTimeWidget::time | ( |  | ) | const

Returns the currently selected time.

void KTimeWidget::valueChanged | ( | const QTime & | time | ) |

signal

Emitted whenever the time of the widget is changed, either with setTime() or via user selection.

The documentation for this class was generated from the following files:

- ktimewidget.h
- ktimewidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys